%define	name nss_updatedb
%define	version	3
%define rel 1

%define subrel 1
%{?!distversion:%define distversion %(echo $[%{mdkversion}/10])}
%{?!distsuffix:%define distsuffix mdk}
%define release %{rel}%{distsuffix}
%ifarch i586
%{?!_with_unstable: %define release %(echo $[%rel-1].%{subrel}.%{distversion}%{distsuffix})}
%{?!_with_unstable: %{error:%(echo -e "\n\n\nYou are building a package for a stable release, please see \nhttp://qa.mandrakesoft.com/twiki/bin/view/Main/DistroSpecificReleaseTag\nif you think this is incorrect\n\n\n ")}%(sleep 4)}
%endif


Summary: 	A caching nss module for disconnected operation
Name:       %{name}
Version:    %{version}
Release:    %{release}
Source: 	http://www.padl.com/download/%{name}-%{version}.tar.bz2
Source1:	nss_updatedb.cron
Source2:	nss_updatedb.sysconfig
Group:		System/Libraries
License:	GPL
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	db_nss-devel >= 4.2.52-5mdk
Url:		http://www.padl.com/
Requires:	nss_db

%description
The nss_updatedb utility maintains a local cache of network
directory user and group information.
Used in conjunction with the pam_ccreds module, it provides
a mechanism for disconnected use of network directories.
These tools are designed to work with pam_ldap and nss_ldap,
also available from PADL.

%prep
%setup -q

%build
autoreconf
%configure2_5x
echo "#define DB_DIR \"/var/lib/misc\"" >> config.h
%make DEFS="-DHAVE_CONFIG_H -I/usr/include/db_nss"

%install
rm -rf %{buildroot}
%makeinstall

install -m 755 %{SOURCE1} %{buildroot}/%{_sbindir}

install -d %{buildroot}/%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}

install -d %{buildroot}/%{_sysconfdir}/cron.{monthly,weekly,daily,hourly}
for i in monthly weekly daily hourly
do ln -s %{_sbindir}/%{name}.cron %{buildroot}/%{_sysconfdir}/cron.${i}/%{name}
done

%files
%defattr(-,root,root,755)
%doc AUTHORS README ChangeLog
%{_sbindir}/nss_updatedb*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_sysconfdir}/cron*/*

%clean
rm -rf %{buildroot}

%changelog
* Fri Dec 10 2004 Buchan Milne <bgmilne@linux-mandrake.com> 3-1mdk
- version 3
- drop all patches (merged upstream except for dbpath which can 
  now be set via config.h)
- add cron script (S1) and a config file for it (S2)

* Wed Dec 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1-1mdk
- use correct version number
- use transactions (p0)
- distribution-specific release tag

* Mon Aug 16 2004 Luca Berra <bluca@vodka.it> 0.1-2mdk 
- rebuilt with db-4.2

* Tue Mar 02 2004 Luca Berra <bluca@vodka.it> 0.1-1mdk 
- initial mandrake contrib

